
set( larcore_VERSION 05.06.00 )
set( larcore_UPS_VERSION v05_06_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( art v1_09_00 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_09_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( LARCORE_SUMMARYDATA  $ENV{LARCORE_LIB}/liblarcore_SummaryData.so )
      set( LARCORE_SUMMARYDATA_DICT  $ENV{LARCORE_LIB}/liblarcore_SummaryData_dict.so )
      set( LARCORE_GEOMETRY  $ENV{LARCORE_LIB}/liblarcore_Geometry.so )
      set( LARCORE_GEOMETRY_DUMPCHANNELMAP_MODULE  $ENV{LARCORE_LIB}/liblarcore_Geometry_DumpChannelMap_module.so )
      set( LARCORE_GEOMETRY_AUXDETGEOMETRY_SERVICE  $ENV{LARCORE_LIB}/liblarcore_Geometry_AuxDetGeometry_service.so )
      set( LARCORE_GEOMETRY_GEOMETRY_SERVICE  $ENV{LARCORE_LIB}/liblarcore_Geometry_Geometry_service.so )
      set( LARCORE_GEOMETRY_STANDARDGEOMETRYHELPER_SERVICE  $ENV{LARCORE_LIB}/liblarcore_Geometry_StandardGeometryHelper_service.so )
      set( GEOMETRYTESTLIB  $ENV{LARCORE_LIB}/libGeometryTestLib.so )
      set( TEST_GEOMETRY_GEOMETRYITERATORLOOPTEST_MODULE  $ENV{LARCORE_LIB}/libtest_Geometry_GeometryIteratorLoopTest_module.so )
      set( TEST_GEOMETRY_GEOMETRYTEST_MODULE  $ENV{LARCORE_LIB}/libtest_Geometry_GeometryTest_module.so )
      include_directories ( $ENV{LARCORE_INC} )

check_required_components(larcore)

